# CommandConditions.ParameterCondition (ACF (Core) 0.5.1-SNAPSHOT API)
declaration: package: co.aikar.commands, class: CommandConditions, interface: ParameterCondition

Package co.aikar.commands

# Interface CommandConditions.ParameterCondition<P,CEC extends CommandExecutionContext,I extends CommandIssuer>

Enclosing class:
  CommandConditions<I extends CommandIssuer,CEC extends CommandExecutionContext<CEC,I>,CC extends ConditionContext<I>>

public static interface CommandConditions.ParameterCondition<P,CEC extends CommandExecutionContext,I extends CommandIssuer>

## Method Summary

Modifier and Type
Method
Description
`void`
`validateCondition(ConditionContext<I> context, CEC execContext, P value)`

## Method Details

### validateCondition

void validateCondition (ConditionContext<I> context, CEC execContext, P value) throws InvalidCommandArgument

Throws:
  `InvalidCommandArgument`